Sign in
GET

/v1/graph/topic-cluster

v1

Get topic cluster graph


Retrieve the hierarchical graph of topic clusters and their constituent event clusters. Shows how individual news events group into broader topics.


Parameters

topic_id integer
query

Filter to a specific topic cluster ID

e.g. 42

limit integer
query

Maximum number of topic clusters to return

Default: 20

e.g. 10


Request Examples

bash
curl "https://api.newsrank.ai/v1/graph/topic-cluster?topic_id=42&limit=10" \
  -H "Authorization: Bearer nrf_your_api_key"

Response

json
{
  "topics": [
    {
      "id": 0,
      "headline": "string",
      "category": "string",
      "event_clusters": [
        {
          "id": 1523,
          "slug": "supreme-court-climate-ruling",
          "headline": "Supreme Court Issues Landmark Climate Ruling",
          "summary": "The Supreme Court ruled 6-3 in favor of stricter emissions standards...",
          "image_url": "https://example.com/images/court.jpg",
          "article_count": 47,
          "sources": [
            "Reuters",
            "AP News",
            "BBC"
          ],
          "top_entities": [
            "Supreme Court",
            "EPA",
            "John Roberts"
          ],
          "category": "politics",
          "first_seen": 1708300800000,
          "last_updated": 1708387200000,
          "label": "Breaking"
        }
      ]
    }
  ],
  "count": 8
}

Try it

Server

Using sandbox demo key (5 req/min) — no signup required

Authentication
Demo key (sandbox)
Endpoint
GET /v1/graph/topic-cluster
Default: 20